# Sprachschulsystem

*PA165 course project at FI MUNI Spring 2023.*

# About Project

- **Name**: Language school
- **Technologies**: Java 17, Spring, Maven, ...
- **Developers**:
    - Dominika Zemanovičová *@xzemanov*
    - Martin Gargalovič *@xgargal*
    - Jan Pokorný *@xpokorn8*
    - Ester Vilímková - _Project Leader_ *@xvilimk*
- **Assigment**:
    - Create a system for language school lecture management. Each lecture can occur on a given day and time and is related to some course. The course is defined by its (unique) name, language and proficiency level. However, each lecture will be independent. That means that each lecture can have a different topic. Different lecturers can give it, and an arbitrary number of students can enrol. Each lecturer will have a name, surname, and record of taught languages. In addition, the lecturer will indicate that they are a native speaker. Exercises can be prepared for each course to allow the students to learn the language. Each student can pick the exercises depending on the levels of difficulty.

# Project Description

Sprachschulsystem is a simple information system for managing language courses.

## Roles

System has three authorization roles - **Lecturer**,  **Student** and **Admin**.

## Entities

- **User**
- **Course**
- **Lecture**
- **Exercise**

# Diagrams

[//]: # (TODO: Add image and uncomment)
[//]: # (![Class Diagram]&#40;https://gitlab.fi.muni.cz/xpokorn8/sprachschulsystem/-/raw/master/docs/ClassDiagram.png&#41;)

---

[//]: # (TODO: Add image and uncomment)
[//]: # (![UseCase Diagram]&#40;https://gitlab.fi.muni.cz/xpokorn8/sprachschulsystem/-/raw/master/docs/UseCaseDiagram.png&#41;)
