package org.fuseri.modulelanguageschool.course;

import jakarta.persistence.Entity;
import jakarta.persistence.EnumType;
import jakarta.persistence.Enumerated;
import lombok.*;
import org.fuseri.modulelanguageschool.common.DomainObject;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class Course extends DomainObject {

    private String name;
    private Integer capacity;

    @Enumerated(EnumType.STRING)
    private Language language;

    @Enumerated(EnumType.STRING)
    private ProficiencyLevel proficiencyLevel;
}
