package org.fuseri.model.dto.user;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.fuseri.model.dto.course.LanguageTypeDto;
import org.fuseri.model.dto.course.ProficiencyLevelDto;

@Getter
@Setter
@AllArgsConstructor
public class UserAddLanguageDto {

    @NotNull
    @Valid
    LanguageTypeDto language;

    @NotNull
    @Valid
    ProficiencyLevelDto proficiency;
}
